
Infrastructure - Story #400

create service API definition packages in Java

2010-03-23 09:17 - Matthew Jones

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: CCI-0.4   

Story Points:    

Description

As a developer, I want to have a full definition of all DataONE service interfaces and their associated types and exceptions that can

be shared between server and client implementations.

- involves completing the specifications documents

- involves developing interfaces for all MN and CN APIs

- involves creating classes for all DataONE Types

- involves creating classes for all DataONE exceptions

History

#1 - 2010-03-23 09:28 - Redmine Admin

Updated status, related task in progress

#2 - 2010-03-27 01:09 - Matthew Jones

Completed the interface definition story in Java for 0.3.

#3 - 2010-03-31 19:41 - Matthew Jones

- Status changed from Closed to 4

Reopening java api story to handle API refactoring changes.

#4 - 2010-03-31 19:46 - Redmine Admin

Updated status, related task in progress

#5 - 2010-08-12 16:47 - Matthew Jones

Completed API definitions for now.  Any future revisions to the API needed should be entered as new tasks.
